Bug 50461 - Migrate python-notifier to python 3
Migrate python-notifier to python 3
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Owen Synge
Felix Botner
:
Depends on:
Blocks: 49060
  Show dependency treegraph
 
Reported: 2019-11-06 18:25 CET by Florian Best
Modified: 2019-12-11 16:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-11-06 18:25:33 CET
python-notifier needs to be migrated to Python 3.
Comment 1 Florian Best univentionstaff 2019-12-05 12:33:58 CET
I merged in the changes and build the package.

python-notifier (0.9.7-6)
48995e4924bf | Bug #50461: Migrate to dh-python and Python 3

python-notifier.yaml
7c240d811696 | YAML Bug #50461
Comment 2 Florian Best univentionstaff 2019-12-09 14:33:07 CET
python-notifier (0.9.7-6)
d9b22d576abd | Bug #50461: fix typo in test case
Comment 3 Florian Best univentionstaff 2019-12-09 14:55:51 CET
python-notifier (0.9.7-7)
8251dca25034 | Bug #50461: fix some PEP 8 warnings

python-notifier.yaml
323fd35de026 | YAML Bug #50461
Comment 4 Felix Botner univentionstaff 2019-12-09 15:08:20 CET
OK - python code changes
OK - dh 'python2,python3'
OK - yaml
Comment 5 Erik Damrose univentionstaff 2019-12-11 16:53:58 CET
<http://errata.software-univention.de/ucs/4.4/400.html>